org.apache.ignite.lang

## Interface IgniteAsyncSupport

All Known Subinterfaces:
  IgfsEx, IgniteCache<K,V>, IgniteCluster, IgniteClusterEx, IgniteCompute, IgniteEvents, IgniteFileSystem, IgniteMessaging, IgniteServices, Transaction, TransactionProxy

All Known Implementing Classes:
  AsyncSupportAdapter, IgfsAsyncImpl, IgfsImpl, IgniteCacheProxy, IgniteClusterAsyncImpl, IgniteClusterImpl, IgniteComputeImpl, IgniteEventsImpl, IgniteMessagingImpl, IgniteServicesImpl, TransactionProxyImpl

    public interface IgniteAsyncSupport

Allows to enable asynchronous mode on Ignite APIs.

### Method Summary

Methods
`<R> IgniteFuture<R>` `future()` Gets and resets future for previous asynchronous operation.
`boolean` `isAsync()`
`IgniteAsyncSupport` `withAsync()` Gets instance of this component with asynchronous mode enabled.

### Method Detail

#### withAsync

    IgniteAsyncSupport withAsync()

Gets instance of this component with asynchronous mode enabled.

Returns:
  Instance of this component with asynchronous mode enabled.

#### isAsync

    boolean isAsync()

Returns:
  `True` if asynchronous mode is enabled.

#### future

    <R> IgniteFuture<R> future()

Gets and resets future for previous asynchronous operation.

Returns:
  Future for previous asynchronous operation.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015